Skip to main content
PUT
Update account by member

Authorizations

Authorization
string
header
required

To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:

Headers

Accept-Version
string
default:v20260929
required

MX Platform API version.

Example:

"v20260929"

Path Parameters

account_identifier
string
required

Use either the account id you defined or the MX-defined account guid. See Assigning Resource IDs.

member_identifier
string
required

Use either the member id you defined or the MX-defined member guid. See Assigning Resource IDs.

user_identifier
string
required

Use either the user id you defined or the MX-defined user guid. See Assigning Resource IDs.

Query Parameters

includes
enum<string>[]

Enrich account responses with additional metadata. Pass one or more values as an array to selectively include data.

Accepted values: balances.

Example: ?includes[]=balances

Any other value returns an error.

Available options:
balances

Body

application/json
account
object
required

Response

200 - application/json

OK

account
object

Extended account response. The balances object is only present when requested via the includes[] query parameter.